package com.atlassian.confluence.extra.helloworldrpc;

import com.atlassian.confluence.rpc.RemoteException;

public class HelloWorldSecureImpl implements HelloWorldSecure
{
    private HelloWorld helloWorld = new HelloWorld();

    public String login(String username, String password)
    {
        throw new UnsupportedOperationException("This should have been handled in the interceptor");
    }

    public boolean logout(String token) throws RemoteException
    {
        throw new UnsupportedOperationException("This should have been handled in the interceptor");
    }

    public String helloWorld(String token)
    {
        return helloWorld.helloWorld();
    }
}
